View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000276Ecere SDKcompilerpublic2009-10-29 04:042014-08-08 18:17
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000276: Compile Time Color conversion of a ColorRGBA to a ColorAlpha is failing
Description   surface.background = ColorRGBA { 0,0,0,255 };

generates:

__ecereProp___ecereNameSpace__ecere__gfx__Surface_Set_background(surface, 0xFFFFFFFF);
Tagsv0.44d2
Attached Files

- Relationships

-  Notes
(0001307)
jerome (administrator)
2014-05-21 03:03

Fixed by:
https://github.com/ecere/ecere-sdk/commit/d3a2010cf68cf33b7f4deab52e2929beb402519b [^]
(0001324)
jerome (administrator)
2014-05-27 07:47

Corrected by:
https://github.com/ecere/ecere-sdk/commit/118956ec3581a743e38fb18c642cc0c3800d9701 [^]

- Issue History
Date Modified Username Field Change
2009-10-29 04:04 jerome New Issue
2010-07-07 02:59 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-25 20:55 redj Relationship added child of 0000429
2010-07-26 19:18 thexa4 Target Version 0.44d2 => 0.44 draft 2
2012-03-08 15:43 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:19 redj Relationship deleted child of 0000429
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-04-26 18:28 jerome Target Version 0.45 Ginkakuji => 0.44.8 Silver
2014-05-20 22:49 jerome Status new => assigned
2014-05-20 22:49 jerome Assigned To => jerome
2014-05-20 22:49 jerome Target Version 0.44.80 Silver => 0.44.10 64
2014-05-21 03:03 jerome Status assigned => resolved
2014-05-21 03:03 jerome Fixed in Version => 0.44.10 64
2014-05-21 03:03 jerome Resolution open => fixed
2014-05-21 03:03 jerome Note Added: 0001307
2014-05-27 07:47 jerome Note Added: 0001324
2014-08-08 18:17 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker